<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper
        PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
        "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.zksy.data.mapper.XcrContactInformationMapper">

    <resultMap id="BaseResultMap" type="com.zksy.data.domain.po.XcrContactInformation">
            <id property="xhCodeId" column="xh_code_id" jdbcType="BIGINT"/>
            <result property="etpsId" column="ETPS_ID" jdbcType="VARCHAR"/>
            <result property="lmid" column="LMID" jdbcType="VARCHAR"/>
            <result property="pripid" column="PRIPID" jdbcType="VARCHAR"/>
            <result property="name" column="NAME" jdbcType="VARCHAR"/>
            <result property="certype" column="CERTYPE" jdbcType="VARCHAR"/>
            <result property="cerno" column="CERNO" jdbcType="VARCHAR"/>
            <result property="tel" column="TEL" jdbcType="VARCHAR"/>
            <result property="mobtel" column="MOBTEL" jdbcType="VARCHAR"/>
            <result property="email" column="EMAIL" jdbcType="VARCHAR"/>
            <result property="sExtDatatime" column="S_EXT_DATATIME" jdbcType="TIMESTAMP"/>
            <result property="uniCode" column="uni_code" jdbcType="VARCHAR"/>
    </resultMap>

    <sql id="Base_Column_List">
        xh_code_id,ETPS_ID,LMID,
        PRIPID,NAME,CERTYPE,
        CERNO,TEL,MOBTEL,
        EMAIL,S_EXT_DATATIME,uni_code
    </sql>
</mapper>
